[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# dbgs

Formats debugger messages for various types by converting their values into readable text.

## Declaration

Source position: forms.pp line 1950

`function dbgs(`
`const State: TWindowState`
`):string; overload; function dbgs(`
`const Action: TCloseAction`
`):string; overload; function dbgs(`
`const Kind: TScrollBarKind`
`):string; overload;`

## Arguments

`State` |  | TWindowState instance with values included in the text.

## Function result

The formatted text with values for the specified argument.

## Arguments

`Action` |  | TCloseAction instance with values included in the text.

## Arguments

`Kind` |  | TScrollBar instance with values included in the text.

## Description

dbgs is overloaded in forms.pp. The overloads handle creating textual information for the TWindowState, TCloseAction, and TScrollBarKind types. The text is used in DebugLn and WriteLn messages in the Lazarus debugger.